//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef OBJECT_H
#define OBJECT_H

#include <paragui.h>

class Object
{
	public:
		// CREATORS
		Object(PG_Point pos, int size = 1);
		~Object();

		// ACCESSORS
		PG_Point get_pos() const {return d_pos;}
		int get_size() const {return d_size;}

	protected:
		PG_Point d_pos;
		int d_size;
};

#endif

// End of file
