//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "armyset.h"

Armyset::Armyset(std::string name)
	:d_name(name)
{
}

Armyset::~Armyset()
{
	//first, delete the Armyset_army's pictures. since we can't do this 
	//in Armyset_army (remember, army is derived from it and there are 
	//_lots_ of armies out there)
	// TODO: I don't think that an armyset should be explicitly deleted!!
	// only if a game is restarted! but then armyset_army could be deleted
	// explicitly!!!
	//for (int i=0; i < 12; i++)
	//	if (army[i].get_pixmap())
	//		SDL_FreeSurface(army[i].get_pixmap());
}

