//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef RUINSEARCHDIALOG_H
#define RUINSEARCHDIALOG_H

#include <pgwindow.h>
#include <pgeventobject.h>

class PG_Button;
class PG_Label;
class Stack;

class RuinSearchDialog : public PG_EventObject, public PG_Window
{ 
	public:
		// CREATORS
		RuinSearchDialog(PG_Widget* parent, int gold);
		~RuinSearchDialog();

		// CALLBACKS
		PARAGUI_CALLBACK(d_b_close_clicked);

	private:
		// WIDGETS
		PG_Button* d_b_close;
		PG_Label* d_l_msg1;
		PG_Label* d_l_msg2;
};

#endif

// End of file
