//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef STACKINFO_H
#define STACKINFO_H

#include <vector> 
#include <pgeventobject.h> 
#include <pgthemewidget.h> 

class  ArmyInfo;

class Stackinfo : public PG_EventObject, public PG_ThemeWidget
{
	public:
		// CREATORS
		Stackinfo(PG_Widget* parent, PG_Rect rect);
		~Stackinfo();

		// MANIPULATORS
		void read_data();
	
	private:
		std::vector<ArmyInfo*> d_armyinfovector;
};

#endif // STACKINFO_H
