#!/bin/bash
#
# bash-script to create a CVS-Snapshot package and upload it to sf.net
# 
# Copyright 2001-2002 by Tobias Mathes, <tobi@freelords.org>

# options
export DATE_STRING=$(date +%Y%m%d)			# Date  -> YYYYmmDD
export TARBIN=$(which tar)				# Where is tar?
export NCFTPPUT=$(which ncftpput)			# Where is ncftpput?

clear
printf "\n -===-< FreeLords CVS Snapshot Creation Script, Version: 0.0.5 >-===-\n"
printf "\n -> Linking Directory.";
ln -s freelords_sdl freelords-SDL-$DATE_STRING
printf "\tDone.";

printf "\n -> Building tarball.";
$TARBIN cfhz freelords-SDL-$DATE_STRING.tar.gz freelords-SDL-$DATE_STRING
printf "\tDone.";

# release @ sourceforge.net
printf "\n\n -> Uploading tarball to sourceforge.net.\n============================================================================\n\n";
$NCFTPPUT -u anonymous -p release@freelords.org upload.sourceforge.net incoming freelords-SDL-$DATE_STRING.tar.gz
printf "\n============================================================================\n";

printf "\n -> Removing symlink and files.";
rm freelords-SDL-$DATE_STRING freelords-SDL-$DATE_STRING.tar.gz
printf "\tDone.\n";
printf "\n\n -===-< Copyright & Code 2001-2002 by Tobias Mathes, tobi@freelords.org >-===- \n";