//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef ARMYSET_H
#define ARMYSET_H

#include <string>
#include <vector>
#include "armyset_army.h"

// This class combines 12 armyset_army objects to a full armyset
// referenced by its name

class Armyset
{
	public:
		// CREATORS
		Armyset(std::string name);
		~Armyset();

		// ACCESSORS
		std::string get_name(){return d_name;}

 		std::vector<Armyset_army> army;
	private:
		std::string d_name;
};

#endif // ARMYSET_H
