//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef STARTUP_SCREEN_H
#define STARTUP_SCREEN_H

#include <pgeventobject.h>
#include <pgwindow.h>
#include <pgbutton.h>

class Player_preferences;

class Startup_screen : public PG_EventObject, public PG_Window
{ 
	public:
		// CREATORS
		Startup_screen(PG_Widget* parent, PG_Rect rect);
		~Startup_screen();

		// CALLBACK FUNCTIONS
		PARAGUI_CALLBACK(b_start_clicked);
	
	private:
		// WIDGETS
		PG_Button* d_b_start;

		// DATA
		Player_preferences* d_player_preferences[8];
};

#endif // STARTUP_SCREEN_H
